Bug 1312303 - Review Request: perl-Net-LDAP-Server-Test - Test Net::LDAP code
Review Request: perl-Net-LDAP-Server-Test - Test Net::LDAP code
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jitka Plesnikova
Fedora Extras Quality Assurance
:
Depends On: 1312301 1403235
Blocks: 1304825
  Show dependency treegraph
 
Reported: 2016-02-26 06:09 EST by Ralf Corsepius
Modified: 2017-01-12 03:51 EST (History)
2 users (show)

See Also:
Fixed In Version: perl-Net-LDAP-Server-Test-0.22-1.fc26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-12 03:51:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jplesnik: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2016-02-26 06:09:45 EST
Spec URL: https://corsepiu.fedorapeople.org/packages/perl-Net-LDAP-Server-Test.spec
SRPM URL: https://corsepiu.fedorapeople.org/packages/perl-Net-LDAP-Server-Test-0.19-1.fc23.src.rpm
Description: 
Test your Net::LDAP code without having a real LDAP server available.

Fedora Account System Username: corsepiu
Comment 1 Jitka Plesnikova 2016-12-09 02:58:36 EST
Please update perl-Net-LDAP-Server-Test to the latest version 0.21 and add build-requires 'make' and 'perl-generators'.
Comment 2 Ralf Corsepius 2016-12-09 08:28:42 EST
(In reply to Jitka Plesnikova from comment #1)
> Please update perl-Net-LDAP-Server-Test to the latest version 0.21
Sigh, ... I'd rather have avoided this :)

Net-LDAP-Server-Test pulls in yet a another dep (perl-Net-LDAP-SID).
Comment 3 Ralf Corsepius 2016-12-09 23:52:44 EST
Update to 0.21:

Spec URL: https://corsepiu.fedorapeople.org/packages/perl-Net-LDAP-Server-Test.spec
SRPM URL: https://corsepiu.fedorapeople.org/packages/perl-Net-LDAP-Server-Test-0.21-1.fc26.src.rpm

ATM, this package only builds on rawhide, because the new dependency (perl-Net-LDAP-SID) is not yet in fedora < rawhide.
Comment 4 Jitka Plesnikova 2016-12-12 03:53:16 EST
Source file is ok
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed

$ rpm -qp --requires perl-Net-LDAP-Server-Test-0.21-1.fc26.noarch.rpm | sort | uniq -c
      1 perl(:MODULE_COMPAT_5.24.0)
      1 perl(Carp)
      1 perl(Convert::ASN1)
      1 perl(Data::Dump)
      1 perl(IO::Select)
      1 perl(IO::Socket)
      1 perl(Net::LDAP::ASN)
      1 perl(Net::LDAP::Constant)
      1 perl(Net::LDAP::Control)
      1 perl(Net::LDAP::Entry)
      1 perl(Net::LDAP::Filter)
      1 perl(Net::LDAP::FilterMatch)
      1 perl(Net::LDAP::SID)
      1 perl(Net::LDAP::Server)
      1 perl(Net::LDAP::Util)
      1 perl(base)
      1 perl(constant)
      1 perl(fields)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -qp --provides perl-Net-LDAP-Server-Test-0.21-1.fc26.noarch.rpm | sort | uniq -c
      1 perl(Net::LDAP::Server::Test) = 0.21
      1 perl-Net-LDAP-Server-Test = 0.21-1.fc26
Binary provides are Ok.

$ rpmlint ./perl-Net-LDAP-Server-Test*
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
Rpmlint is ok

FIX: Please add following build-requires:
   perl(File::Temp) - t/06-no-such-entry.t:10, t/07-error-codes.t:10
   perl(Net::LDAP::LDIF) - t/06-no-such-entry.t:9, t/06-no-such-entry.t:9
   perl(IO::Socket::INET) - t/03-socket.t:10

FIX: The latest version is 0.22. There is no code change. 

TODO: Please replace PERL_INSTALL_ROOT with more common DESTDIR.

Please correct all 'FIX' issues and consider fixing 'TODO' items and
provide new spec file.

Not approved.
Comment 6 Jitka Plesnikova 2016-12-13 09:08:29 EST
> FIX: Please add following build-requires:
>    perl(File::Temp) - t/06-no-such-entry.t:10, t/07-error-codes.t:10
>    perl(Net::LDAP::LDIF) - t/06-no-such-entry.t:9, t/06-no-such-entry.t:9
>    perl(IO::Socket::INET) - t/03-socket.t:10
+BuildRequires:  perl(File::Temp)
+BuildRequires:  perl(IO::Socket::INET)
+BuildRequires:  perl(Net::LDAP::LDIF)
Ok

> FIX: The latest version is 0.22. There is no code change. 
Please update it before submit.

> TODO: Please replace PERL_INSTALL_ROOT with more common DESTDIR.
-%{__make} pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
+%{__make} pure_install DESTDIR=$RPM_BUILD_ROOT
Ok

 
Otherwise the package looks good.
Approved.
Comment 7 Gwyn Ciesla 2016-12-13 09:33:12 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/perl-Net-LDAP-Server-Test

Note You need to log in before you can comment on or make changes to this bug.